Hi,

I am installing RBPM v3.7 module on metadirectory (edir 8.8.5, IdM
3.6.1, RHEL 5 64 bit machine).

I tried doing a non root install of RBPM v 3.7, the GUI came up and
said "Insufficient Rights - The user must be root to install RBPM for
Novell Identity Manager. Please login as root and run the install
again".

So I tried doing a root install and the installation fails with this
error -
--------------------------------
./rbpm_driver_install_linux.bin
Preparing to install...
Extracting the JRE from the installer archive...
Unpacking the JRE...
Extracting the installation resources from the installer archive...
Configuring the installer for this system's environment...

Launching installer...

Xlib: connection to "localhost:10.0" refused by server
Xlib: PuTTY X11 proxy: wrong authentication protocol attempted
Invocation of this Java Application has caused an
InvocationTargetException. This application will now exit. (LAX)

Stack Trace:
java.lang.NoClassDefFoundError: Could not initialize class
sun.awt.X11GraphicsEnvironment
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Unknown Source)
at
java.awt.GraphicsEnvironment.getLocalGraphicsEnvir onment(Unknown
Source)
at java.awt.Window.init(Unknown Source)
at java.awt.Window.<init>(Unknown Source)
at java.awt.Frame.<init>(Unknown Source)
at java.awt.Frame.<init>(Unknown Source)
at javax.swing.JFrame.<init>(Unknown Source)
at com.zerog.ia.installer.LifeCycleManager.g(DashoA10 *..)
at com.zerog.ia.installer.LifeCycleManager.h(DashoA10 *..)
at com.zerog.ia.installer.LifeCycleManager.a(DashoA10 *..)
at com.zerog.ia.installer.Main.main(DashoA10*..)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Nativ e Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknow n Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Un known
Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at com.zerog.lax.LAX.launch(DashoA10*..)
at com.zerog.lax.LAX.main(DashoA10*..)
This Application has Unexpectedly Quit: Invocation of this Java
Application has caused an InvocationTargetException. This application
will now exit. (LAX)
---------------------------------

I googled and tried to resolve this by enabling “ForwardX11Trusted yes”
in the /etc/ssh/sshd_config file and restart the OpenSSH server. But
still I get the same error. I am using Putty + Xming on my windows
machine to connect to the remote Linux server where I am installing all
the IDM components. Does anybody know what needs to be done?

I tried to do a console install of RBMP by issuing the command
./rbpm_driver_install_linux.bin -i console and the installer started. I
was asked for the initial steps like choosing langauge and accepting the
license agreement. After this the installer quit with the message -
"Invalid Metadirectory version of IDM detected.
The IDM version installed is not compatible with this installer. You
must be running with Meta directory version 3.5.1 or greater. Please
exit and install the proper version of IDM."
The IDM installed is version 3.6.1 and am not sure why it is not
picking this up! The eDir is in a non default port and according to the
install guide, I have to install RBPM with the Schema option unchecked
and after installing RBPM, I have to extend it manually. But I am
getting the above error while trying to install RBPM. Does anybody know
how to resolve this?

Any help on this much appreciated.

Thanks,
Rakesh


--
rakesh_bs
------------------------------------------------------------------------
rakesh_bs's Profile: http://forums.novell.com/member.php?userid=74915
View this thread: http://forums.novell.com/showthread.php?t=400648